package com.zayac.admin.agent.model.query;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import lombok.Data;

import io.swagger.v3.oas.annotations.media.Schema;

import top.continew.starter.data.core.annotation.Query;
import top.continew.starter.data.core.enums.QueryType;

/**
 * 代理每日数据查询条件
 *
 * @author zayac
 * @since 2024/06/04 17:10
 */
@Data
@Schema(description = "代理每日数据查询条件")
public class StatsQuery implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 日期
     */
    @Schema(description = "日期")
    @Query(type = QueryType.EQ)
    private LocalDate staticsDate;

    /**
     * 代理id
     */
    @Schema(description = "代理id")
    @Query(type = QueryType.EQ)
    private Long agentId;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    @Query(type = QueryType.EQ)
    private LocalDateTime createTime;
}