package com.zayac.admin.agent.model.req;

import java.io.Serial;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

import jakarta.validation.constraints.*;

import lombok.Data;

import io.swagger.v3.oas.annotations.media.Schema;

import top.continew.starter.extension.crud.model.req.BaseReq;

/**
 * 创建或修改代理每日数据信息
 *
 * @author zayac
 * @since 2024/06/04 17:10
 */
@Data
@Schema(description = "创建或修改代理每日数据信息")
public class StatsReq extends BaseReq {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 日期
     */
    private LocalDate staticsDate;

    /**
     * 代理id
     */
    private Long agentId;

    /**
     * 代理类型
     */
    private Integer agentType;

    /**
     * 代理推荐码
     */
    private String agentCode;

    /**
     * 代理名称
     */
    private String agentName;

    /**
     * 注册人数
     */
    private Integer isNew;

    /**
     * 首存人数
     */
    private BigDecimal firstDeposit;

    /**
     * 投注额
     */
    private BigDecimal deposit;

    /**
     * 投注红利
     */
    private BigDecimal depositPromo;

    /**
     * 取款
     */
    private BigDecimal draw;

    /**
     * 返水
     */
    private BigDecimal promo;

    /**
     * 返水比例
     */
    private BigDecimal promoDividend;

    /**
     *
     */
    private BigDecimal rebate;

    /**
     * 账号调整
     */
    private BigDecimal adjust;

    /**
     * 风险等级
     */
    private BigDecimal riskAdjust;

    /**
     * 有效投注额
     */
    private BigDecimal bets;

    /**
     * 输赢
     */
    private BigDecimal profit;

    /**
     * 总投注额
     */
    private BigDecimal allBets;

    /**
     * 首存人数
     */
    private Integer firstCount;

    /**
     * 存款人数
     */
    private Integer countDeposit;

    /**
     * 取款人数
     */
    private Integer countDraw;

    /**
     * 投注人数
     */
    private Integer countBets;

    /**
     * 创建日期
     */
    private LocalDateTime createdAt;

    /**
     * 更新日期
     */
    private LocalDateTime updatedAt;

    /**
     *
     */
    private BigDecimal oldDeposit;

    /**
     *
     */
    private Integer oldDepositCount;

    /**
     *
     */
    private BigDecimal newDeposit;
}