package com.zayac.admin.service;

import com.zayac.admin.constant.ApiPathConstants;
import com.zayac.admin.req.team.TeamFinanceReq;
import com.zayac.admin.resp.team.TeamAccountFinance;
import com.zayac.admin.resp.team.TeamFinancePagination;
import com.zayac.admin.system.model.resp.AccountResp;
import lombok.RequiredArgsConstructor;
import org.springframework.core.ParameterizedTypeReference;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.concurrent.CompletableFuture;

@Service
@RequiredArgsConstructor
public class CompletableFutureFinanceService {
    private final CompletableFutureWebClientService completableFutureWebClientService;

    public CompletableFuture<TeamFinancePagination<List<TeamAccountFinance>>> getTeamFinance(AccountResp account, TeamFinanceReq teamFinanceReq) {
        //设置一个超大的分页参数 确保一次查询到所有的代理线
        if (teamFinanceReq.getPageSize() == 0) {
            teamFinanceReq.setPageSize(100);
        }
        if (teamFinanceReq.getPageNum() == 0) {
            teamFinanceReq.setPageNum(1);
        }

        return completableFutureWebClientService
                .fetchDataForAccount(account, ApiPathConstants.TEAM_FINANCE_EXCEL, teamFinanceReq, new ParameterizedTypeReference<>() {
                });
    }
}
